Subject: Re: Project's repository infrastructure (sunbtree and submodules)

From: Armen Baghumian <[email-masked]>
Date: Wed, 11 Jun 2008 12:34:57 +0430

Hi,

Am I asking totally wrong question or asking it in wrong place?
would you please point me to correct place or documentation.

--Armen

On Mon, 9 Jun 2008 19:42:03 +0430
Armen Baghumian <[email-masked]> wrote:

> Hi,
> 
> I have several projects which each project contains several modules.
> modules are shared between projects.
> 
> For example let say there is three modules A, B, and C, and two
> project called P1 and P2. P1 uses A and B modules and P2 uses B and C.
> 
> I want to have centralized place to clone/pull/push in P1 and P2 and
> it would be nice to push changes in modules(A,B,C) from projects
> (P1,P2) so when changes in B pushed from P1 it could be pulled from P2
> (think B as a shared module between P1 and P2). 
> 
> As far as modules are not big enough I don't want to push changes
> directly in to those repositories.
> 
> To solve the problem I just create three separated repositories for
> each modules (A,B,C) and create two other repositories for each
> project and use git-submodule to add modules in each repository.
> 
> pushing changes to modules(A,B,C) are really error prone and annoying
> so I searched for a better way to solve that problem.
> 
> Seems subtree merge[1] is other choice but I'm not sure.
> 
> 1) What is best way to solve such situation?
> 2) If subtree is best choice how to push changes to modules(A,B,C)
> from projects?
> 
> --Armen
> 
> [1]
> http://www.kernel.org/pub/software/scm/git/docs/howto/using-merge-subtree.html
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html